<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://jmix.io/schema/ui/window"
        caption="msg://partnerManagementV1Edit.caption"
        focusComponent="form">
    <data>
        <instance id="partnerManagementDc"
                  class="com.company.management.entity.PartnerManagement">
            <fetchPlan extends="_base">
                <property name="user" fetchPlan="_base"/>
                <property name="type" fetchPlan="_base">
                    <property name="typeGroup" fetchPlan="_base"/>
                </property>
            </fetchPlan>
            <loader id="partnerManagementDl"/>
        </instance>
        <collection id="usersDc" class="com.company.management.entity.User">
            <fetchPlan extends="_base"/>
            <loader id="usersDl">
                <query>
                    <![CDATA[select e from User e]]>
                </query>
            </loader>
        </collection>
        <collection id="rtTypesDc" class="com.company.management.entity.RtType">
            <fetchPlan extends="_base"/>
            <loader id="rtTypesDl">
                <query>
                    <![CDATA[select e from RtType e
                    where e.typeGroup.code = :typeGroupCode1]]>
                </query>
            </loader>
        </collection>
        <collection id="roleAssignmentEntitiesDc" class="io.jmix.securitydata.entity.RoleAssignmentEntity">
            <fetchPlan extends="_base"/>
            <loader id="roleAssignmentEntitiesDl">
                <query>
                    <![CDATA[select e from sec_RoleAssignmentEntity e]]>
                </query>
            </loader>
        </collection>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="windowCommitAndClose" caption="msg:///actions.Ok"
                icon="EDITOR_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="windowClose"
                caption="msg:///actions.Close"
                icon="EDITOR_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout spacing="true" expand="scrollBox">
        <scrollBox id="scrollBox" spacing="true">
            <form id="form" dataContainer="partnerManagementDc" width="100%" responsive="true">
<!--                <column width="350px">-->
                <vbox spacing="true">
                    <hbox spacing="true">
                        <entityComboBox id="userField" property="user" caption="msg://Full Name" optionsContainer="usersDc"
                                        dataContainer="partnerManagementDc">
                            <actions>
<!--                                <action id="entityLookup" type="entity_lookup"/>-->
                                <action id="entityClear" type="entity_clear"/>
                            </actions>
                        </entityComboBox>
                        <entityComboBox id="roleField" caption="msg://Role" optionsContainer="roleAssignmentEntitiesDc">
                            <actions>
                                <!--                                <action id="entityLookup" type="entity_lookup"/>-->
                                <action id="entityClear" type="entity_clear"/>
                            </actions>
                        </entityComboBox>
                    </hbox>
                    <hbox spacing="true">
                        <entityComboBox id="typeField" property="type" caption="msg://Type of User" optionsContainer="rtTypesDc"
                                        dataContainer="partnerManagementDc">
                            <actions>
<!--                                <action id="entityLookup" type="entity_lookup"/>-->
                                <action id="entityClear" type="entity_clear"/>
                            </actions>
                        </entityComboBox>
                        <textField id="companyField" property="company" caption="msg://Company"
                                   dataContainer="partnerManagementDc"/>
                    </hbox>
                    <hbox spacing="true">
                        <textField id="phoneNoField" property="phoneNo" caption="msg://Phone No."
                                   dataContainer="partnerManagementDc"/>
                        <textField id="emailField" property="email" caption="msg://Email Address"
                                   dataContainer="partnerManagementDc"/>
                    </hbox>
<!--                <label stylename="bold h3" value="msg://Edit Individual Account"/>-->
                </vbox>
            </form>
<!--                </column>-->
        </scrollBox>
        <hbox id="editActions" spacing="true">
            <button id="commitAndCloseBtn" action="windowCommitAndClose"/>
            <button id="closeBtn" action="windowClose"/>
        </hbox>
    </layout>
</window>
